/*
 *	rule_check.c
 */

#include<stdio.h>

/*
 *
 */

#include "status.h"
#include "hands.h"

#include "direct.h"
#include "board.h"
#include "rule.h"
#include "player.h"
#include "input.h"

/*
 *
 */

void main( void )
{
  char board[BOARD_SIZE][BOARD_SIZE];
  char hands[HANDS_SIZE];
  char color = BLACK;

  init_board ( board );
  print_board ( board );

  if ( check_reversible ( board, 2, 3, WHITE, 6 ) ) {
    printf ( "Yes\n" );
  } else {
    printf ( "No\n" );
  }

  if ( check_reversible ( board, 2, 3, BLACK, 6 ) ) {
    printf ( "No\n" );
  } else {
    printf ( "Yes\n" );
  }

  if ( playable ( board, 2, 3, WHITE ) ) {
    printf ( "Yes\n" );
  } else {
    printf ( "No\n" );
  }

  if ( playable ( board, 2, 3, BLACK ) ) {
    printf ( "No\n" );
  } else {
    printf ( "Yes\n" );
  }

  int dir;

  for ( dir = DIRECT_MIN; dir <= DIRECT_MAX; dir++ ) {
    printf ( "%d, ", dir );
    if ( check_reversible ( board, 2, 3, BLACK, dir ) ) {
      printf ( "Yes\n" );
    } else {
      printf ( "No\n" );
    }
  }

  if ( check_playable_color ( board, BLACK ) ) {
    printf ( "Yes\n" );
  } else {
    printf ( "No\n" );
  }

  if ( check_playable_color ( board, WHITE ) ) {
    printf ( "Yes\n" );
  } else {
    printf ( "No\n" );
  }

}

/*
 *
 */
